# all files / ol/format/filter/ logicalnary.js

100% Statements 9/9
100% Branches 0/0
100% Functions 1/1
100% Lines 9/9

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    301×

    1×
    1×
    1×

    1×

    6×

    6×
    6×

    1×
     goog.provide('ol.format.filter.LogicalNary');

    goog.require('ol');
    goog.require('ol.asserts');
    goog.require('ol.format.filter.Filter');

    /**
     * @classdesc
     * Abstract class; normally only used for creating subclasses and not instantiated in apps.
     * Base class for WFS GetFeature n-ary logical filters.
     *
     * @constructor
     * @param {!string} tagName The XML tag name for this filter.
     * @param {...ol.format.filter.Filter} conditions Conditions.
     * @extends {ol.format.filter.Filter}
     */
    ol.format.filter.LogicalNary = function(tagName, conditions) {

      ol.format.filter.Filter.call(this, tagName);

      /**
       * @public
       * @type {Array.<ol.format.filter.Filter>}
       */
      this.conditions = Array.prototype.slice.call(arguments, 1);
      ol.asserts.assert(this.conditions.length >= 2, 57); // At least 2 conditions are required.
    };
    ol.inherits(ol.format.filter.LogicalNary, ol.format.filter.Filter);